const express = require("express");
const swaggerUi = require("swagger-ui-express");
const yaml = require("js-yaml");
const fs = require("fs");

const app = express();

const swaggerDocument = yaml.load(fs.readFileSync("../main.yaml", "utf8"));

app.use("/api-docs", swaggerUi.serve, swaggerUi.setup(swaggerDocument));

app.listen(3000, () => {
    console.log("Swagger UI running at http://localhost:3000/api-docs");
});
